com.google.gwt.event.dom.client

## Interface HasKeyPressHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllKeyHandlers, TabBar.Tab

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FileUpload, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

    public interface HasKeyPressHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `KeyPressHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addKeyPressHandler(KeyPressHandler handler)` Adds a `KeyPressEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addKeyPressHandler

    HandlerRegistration addKeyPressHandler(KeyPressHandler handler)

Adds a `KeyPressEvent` handler.

Parameters:
  `handler` - the key press handler
Returns:
  `HandlerRegistration` used to remove this handler